{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Install",
            "type": "shell",
            "command": "fpm install --verbose --prefix ${workspaceFolder}/stics/build/debug --flag '-fcheck=no-bounds,no-array-temps -Wall -Wextra -Wimplicit-interface -fPIC -fmax-errors=1 -g -fbacktrace -fcoarray=single -fimplicit-none'",
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "options": {
                "cwd": "${workspaceFolder}/stics"
            }
        },
        {
            "label": "Test Stics",
            "type": "shell",
            "command": "fpm test",
            "group": {
                "kind": "test",
                "isDefault": true
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "options": {
                "cwd": "${workspaceFolder}/stics"
            }
        }, {
            "label": "Test Pre Stics",
            "type": "shell",
            "command": "fpm test",
            "group": {
                "kind": "test",
                "isDefault": false
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "options": {
                "cwd": "${workspaceFolder}/pre_stics"
            }
        }, {
            "label": "Test E2E",
            "type": "shell",
            "command": "fpm test",
            "group": {
                "kind": "test",
                "isDefault": false
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "options": {
                "cwd": "${workspaceFolder}/e2e"
            }
        },
        {
            "label": "cmake-configure",
            "type": "shell",
            "windows":{
                "command": "cmake -S${workspaceFolder}/stics -B${workspaceFolder}/build  -G 'MinGW Makefiles'"
            },
            "linux":{
                "command": "cmake -S${workspaceFolder}/stics -B${workspaceFolder}/build"
            },
            "osx":{
                "command": "cmake -S${workspaceFolder}/stics -B${workspaceFolder}/build"
            },
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "options": {
                "cwd": "${workspaceFolder}/stics"
            }
        },
        {
            "label": "cmake-install",
            "dependsOn": "cmake-configure",
            "type": "shell",
            "command": "cmake --build ${workspaceFolder}/build --config Debug --target Stics -- -j 18",
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "options": {
                "cwd": "${workspaceFolder}/stics"
            }
        }, {
            "label": "Install Pre Stics",
            "type": "shell",
            "command": "fpm install --verbose --prefix ${workspaceFolder}/pre_stics/build/debug --flag '-fcheck=no-bounds,no-array-temps -Wall -Wextra  -Wimplicit-interface -fPIC -fmax-errors=1 -g -fbacktrace -fcoarray=single -fimplicit-none'",
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "options": {
                "cwd": "${workspaceFolder}/pre_stics"
            }
        },
        {
            "label": "Install e2e",
            "type": "shell",
            "command": "fpm install --verbose --prefix ${workspaceFolder}/e2e/build/debug --flag '-fcheck=no-bounds,no-array-temps -Wall -Wextra -Wimplicit-interface -fPIC -fmax-errors=1 -g -fbacktrace -fcoarray=single -fimplicit-none'",
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "options": {
                "cwd": "${workspaceFolder}/e2e"
            }
        },
    ]
}